API referenceAnalytics

GET /analytics/best-time

Best UTC weekday/hour slots from published posts with metrics, falling back to Instagram online followers or defaults

GET
/analytics/best-time

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Query Parameters

accountId?string

Only this account

days?integer

Look-back window

Range1 <= value <= 365
Default90

Response Body

BestTime

application/json
  1. response
days?integer
timezone?"UTC"
Value in"UTC"
basedOnPosts?integer
accountId?string
source?string

history needs at least 3 published posts with metrics; then Instagram online followers; then defaults

Value in"history""online_followers""default"
onlineFollowersAccountId?string
slots?array<>

Top 5 slots

Example Request
curl -X GET 'https://example.com/api/v1/analytics/best-time'
Example Response
{  "days": 0,  "timezone": "UTC",  "basedOnPosts": 0,  "accountId": "string",  "source": "history",  "onlineFollowersAccountId": "string",  "slots": [    {      "dayOfWeek": 0,      "hour": 0,      "avgEngagement": 0,      "posts": 0,      "onlineFollowers": 0    }  ]}